読者です 読者をやめる 読者になる 読者になる

tmuxのバージョンアップには要注意

tmux 1.9a

久しぶりにbrew outdatedしてみたらtmuxの新しいバージョンが利用可能になっていたので、インストールした。

protocol version mismatch

すると、protocol version mismatch (client 8, server 7)という見慣れないメッセージが出てセッションを回復できない。どうやら、バージョンアップしたことでセッションの保存形式か何かが変わったようで、セッションを再読み込みできなくなってしまったみたいだ...
vimいっぱい開いてたのでスワップファイルの処理に朝からイライラしてしまった。

結局

というわけで、tmuxのバージョンアップをする時には注意しましょう、というだけの話でした。
結局tmux kill-serverも効かなかったので、単にps aux | grep tmuxでtmuxのPIDを探してkillで済ませました。